Bug 57531 - [generator] Support [Async] inside categories
Summary: [generator] Support [Async] inside categories
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: XI 10.99 (xcode9)
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: 15.7
Assignee: Alex Soto [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-06-15 18:31 UTC by Alex Soto [MSFT]
Modified: 2018-01-16 23:11 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alex Soto [MSFT] 2017-06-15 18:31:05 UTC
Having the following definitions generates invalid code

[Category]
[BaseType (typeof (CLGeocoder))]
interface CLGeocoder_ContactsAdditions {
	[Watch (4,0), NoTV, Mac (10,13), iOS (11,0)]
	[Export ("geocodePostalAddress:completionHandler:")]
	[Async] 
	void GeocodePostalAddress (CNPostalAddress postalAddress, CLGeocodeCompletionHandler completionHandler);

	[Watch (4,0), NoTV, Mac (10,13), iOS (11,0)]
	[Export ("geocodePostalAddress:preferredLocale:completionHandler:")]
	[Async]
	void GeocodePostalAddress (CNPostalAddress postalAddress, [NullAllowed] NSLocale locale, CLGeocodeCompletionHandler completionHandler);
}
Comment 1 Alex Soto [MSFT] 2018-01-15 19:49:01 UTC
https://github.com/xamarin/xamarin-macios/pull/3229
Comment 2 Alex Soto [MSFT] 2018-01-16 23:11:37 UTC
Fixed in xamarin-macios/master @ 76dcf100b3ec965237bc77ac315edd3a03adceaf